:root {
  --primary: #f3cdd3c7;
  --secondry: rgb(148, 90, 116);
  --buttonColor: #89113f;
  --buttonHoverColor: #5e2b3a;
  --shadowColor: rgb(112, 112, 112);
  --lightFontColor: #585858;
  --darkFontColor: black;
  --lightHeaderFontColor: #373a4d;
  --backgroundColor: white;
}

html,
body {
  height: 100%;
  font-family: "Handlee", cursive;
  font-size: 18px;
  scroll-behavior: smooth;
}

section {
  padding-block: 60px;
  position: relative;
  display: grid;
  place-items: center;
  align-items: center;
  overflow: hidden;
  /* opacity: 0; */
  /* transform: translateX(-100%); */
  /* filter: blur(5px); */
}

/* section.active {
  opacity: 1;
  transform: translateX(0);
  filter: blur(0);
  transition: all 1s cubic-bezier(0.19, 0.8, 0.68, 0.61);
} */

::selection {
  background: var(--primary);
}

/****nav bar****/
.nav-header {
  position: relative;
  background-color: var(--primary);
  padding: 1rem;
}

nav.navbar.navbar-expand-lg {
  width: 100%;
}

.nav-header a.logo.navbar-brand {
  position: absolute;
  top: 0;
  margin: -35px;
  z-index: 3;
}

.nav-header header > .navbar .navbar-collapse {
  margin-inline-start: auto;
  margin-inline-end: 0;
  text-align: end;
  justify-content: flex-end;
}

.nav-img-logo {
  width: 10rem;
  height: auto;
}

button.navbar-toggler {
  margin-inline-start: auto;
}

.nav-header.sticky {
  position: fixed;
  z-index: 10;
  width: 100%;
  padding: 0.75rem;
  animation-name: stickyAnimatuin;
  animation-duration: 1s;
}

.nav-header.sticky a.logo.navbar-brand {
  top: 12px;
}

.navbar-nav .nav-link {
  color: var(--darkFontColor);
}

.navbar-nav .nav-link.active {
  font-weight: bold;
  font-size: 20px;
  color: var(--buttonColor);
  transition: all 0.5s linear;
}

.navbar-nav .nav-link:hover {
  color: var(--buttonHoverColor);
  font-weight: bold;
  transition: all 0.5s linear;
}

@keyframes stickyAnimatuin {
  from {
    top: -400px;
  }

  to {
    top: 0;
  }
}

/******banner******/
.main-banner {
  height: 85vh;
  width: calc(100% - 11px);
  position: relative;
  background-image: url("../images/banner/marble-bg-banner.jpg");
  background-repeat: no-repeat;
  background-size: 100% 100%;
  margin-top: 1px;
  margin-inline-start: 10px;
  border-start-start-radius: 20px;
  border-end-start-radius: 20px;
  box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.2);
}

.banner-slider {
  position: absolute;
  height: calc(85vh - 24px);
  width: calc(100% - 40px);
  top: 24px;
  left: 40px;
  border-start-start-radius: 20px;
  border-end-start-radius: 20px;
  overflow: hidden;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.banner-slider .item img {
  position: relative;
  height: calc(85vh - 24px);
  display: block;
  width: 100%;
  object-fit: cover;
}

.banner-slider .owl-nav {
  opacity: 0;
  position: absolute;
  z-index: 9;
  top: calc(50% + 12px);
}

.banner-slider .owl-nav {
  display: block;
  transform: translate(0, -50%);
  cursor: pointer;
  color: var(--secondry);
  width: calc(100% - 36px);
  margin-inline: 16px;
  display: flex;
  justify-content: space-between;
}

.banner-slider .owl-nav:hover {
  transition: opacity 0.5s linear;
  opacity: 1;
}

.banner-slider .owl-dots {
  position: absolute;
  z-index: 9;
  width: 100%;
  bottom: 6%;
  display: flex;
  justify-content: center;
}

.banner-slider .owl-dots .owl-dot {
  margin: 0 3px;
  width: 14px;
  height: 14px;
  outline: 2px solid var(--secondry);
  border-radius: 4px;
  outline-offset: 2px;
  background-color: transparent;
  transform: scale(0.8);
  transition: all 0.6s;
}

.banner-slider .owl-dots .owl-dot.active {
  background-color: var(--secondry);
  transform: scale(1);
}

/**********exclusive**********/

.exclusive-section .container {
  position: relative;
}

.exclusive-section .exclusive-text {
  padding-inline-end: 90px;
  /* padding-block-end: 90px; */
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}

.exclusive-section .exclusive-text button {
  border: solid var(--backgroundColor);
  border-radius: 4px;
  color: var(--backgroundColor);
  background-color: var(--secondry);
  padding: 12px 32px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.exclusive-section .exclusive-text button:hover {
  background-color: var(--buttonColor);
  box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24),
    0 17px 50px 0 rgba(0, 0, 0, 0.19);
  transition: all 0.3s linear;
}

.exclusive-section .exclusive-img {
  display: flex;
  justify-content: flex-end;
  position: relative;
  border-radius: 1.5rem;
  object-fit: cover;
  overflow: hidden;
  margin-block: 2rem;
}

.exclusive-section .exclusive-img .exclusive-bg-img {
  /* max-height: 37.5rem;
  max-width: 18.75; */
  height: 600px;
  width: 300px;
}

.exclusive-section .exclusive-img .exclusive-main-img {
  position: absolute;
  top: 12.5%;
  right: 40px;
  border-radius: 1.5rem;
  /* max-width: 100%;
  object-fit: cover; */
}

.modal.show .modal-dialog {
  /* top: 30%; */
  transition: all 0.6s linear;
}

/*********products***********/
.products-section {
  position: relative;
  width: 100%;
  height: auto;
}

.products-section .container h1 {
  width: 100%;
  text-align: center;
  margin-block: 16px 60px;
}

.products-section .grid-container {
  display: grid;
  gap: 50px 20px;
  align-items: center;
  justify-items: center;
}

.products-section .grid-container .grid-item {
  width: 250px;
  height: 250px;
  border-radius: 20px;
  object-fit: cover;
  overflow: hidden;
  position: relative;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.products-section .grid-container .grid-item img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

@media screen and (min-width: 300px) {
  .products-section .grid-container {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media screen and (min-width: 576px) {
  .products-section .grid-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (min-width: 768px) {
  .products-section .grid-container {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media screen and (min-width: 992px) {
  .products-section .grid-container {
    grid-template-columns: repeat(4, 1fr);
  }
}

.products-section .grid-container .grid-item .hover-grid-item {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.288);
  opacity: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: var(--backgroundColor);
  transform: scale(0);
}

.products-section .grid-container .grid-item .hover-grid-item .buy-now-button {
  border: solid var(--backgroundColor);
  background-color: transparent;
  color: var(--backgroundColor);
  border-radius: 4px;
}

.products-section .grid-container .grid-item:hover .hover-grid-item {
  opacity: 1;
  transform: scale(1);
  transition: transform 0.6s linear, opacity 0.3s linear;
}

.products-section
  .grid-container
  .grid-item
  .hover-grid-item
  .buy-now-button:hover {
  border: solid var(--shadowColor);
  background-color: var(--shadowColor);
  transition: all 0.3s linear;
}

/********footer**********/
footer {
  background-color: var(--primary);
  padding: 22px;
}

.top-footer {
  margin-bottom: 1px;
}

.top-footer .col-lg-4,
.top-footer .col-lg-3,
.top-footer .col-lg-2 {
  padding-inline: 26px;
}

.top-footer .footer-title {
  font-weight: bold;
  border: none;
  background-color: transparent;
  padding: 0;
  text-align: justify;
}

.footer-links span {
  padding: 4px 0 0;
  display: inline-block;
  width: 100%;
}

.footer-links a {
  color: #585858;
  font-weight: 300;
  line-height: 26px;
  text-decoration: none;
  text-transform: capitalize;
}

footer a:hover {
  color: var(--darkFontColor);
}

footer a:link {
  text-decoration: none;
}

.contact-section {
  color: var(--lightFontColor);
  font-weight: 300;
  line-height: 26px;
  text-decoration: none;
  text-transform: capitalize;
  margin-block: 12px;
}

.back-to-top {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  font-size: 18px;
}

#btnScrollToTop {
  height: 2rem;
  width: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--secondry);
  color: var(--backgroundColor);
  outline: 0.1rem solid var(--secondry);
  outline-offset: 0.15rem;
  border: none;
  border-radius: 50%;
  cursor: pointer;
}

#btnScrollToTop.sticky {
  position: fixed;
  z-index: 10;
  bottom: 57px;
  right: 30px;
}

#btnScrollToTop:hover {
  background-color: var(--buttonHoverColor);
  opacity: 80%;
  transition: all 0.6s linear;
}

.phone,
.address,
.email {
  display: flex;
  flex-direction: row;
  width: 100%;
  align-items: baseline;
}

.contact_phone,
.contact_address,
.contact_email a {
  margin-inline-start: 16px;
  color: var(--lightFontColor);
  text-decoration: none;
}

.scoial-media {
  display: flex;
  width: 80%;
  margin-block-end: 1rem;
  justify-content: space-evenly;
}

@media screen and (max-width: 768px) {
  .scoial-media {
    width: 100%;
  }
}

.scoial-media a {
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--backgroundColor);
  transition: all 0.2s ease-in-out;
  outline: 0.1rem solid var(--secondry);
  outline-offset: 0.1rem;
  height: 1.75rem;
  width: 1.75rem;
  font-size: 1rem;
}

.scoial-media a i {
  color: var(--secondry);
  font-size: 14px;
  margin: 0;
}

.scoial-media a:hover {
  outline: 2px solid var(--backgroundColor);
  background: var(--secondry);
  transition: all 0.3s linear;
}

.scoial-media a:hover i {
  color: var(--backgroundColor);
}

/****resposeive footer ****/
.accordion {
  background-color: var(--backgroundColor);
  color: var(--lightFontColor);
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
}

.accordion:after {
  content: "\f078";
  font-family: "Font Awesome 6 Free";
  font-weight: bold;
  float: right;
  margin-left: 5px;
}

@media screen and (max-width: 768px) {
  .accordion + div {
    display: none;
  }
}

.accordion .active:after {
  content: "\f077";
  font-family: "Font Awesome 6 Free";
}

.accordion div {
  padding: 0 18px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

section.contact-us {
  margin-block: 80px;
  margin-inline: 8px;
}

.contact-us .row {
  display: flex;
  justify-content: center;
}

.contact-us form {
  outline: 2px solid var(--secondry);
  outline-offset: 2px;
  border-radius: 129px 500px;
}

.contact-us h1 {
  text-align: center;
}

.contact-us input:focus,
.contact-us textarea:focus {
  outline: none;
  border: 1px solid var(--secondry);
  box-shadow: 0 0 10px rgba(87, 60, 72, 0.486);
}

.contact-us .send-button {
  border: solid var(--backgroundColor);
  border-radius: 4px;
  color: var(--backgroundColor);
  background-color: var(--secondry);
  padding: 12px 32px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.contact-us .send-button:hover {
  background-color: var(--buttonColor);
  box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24),
    0 17px 50px 0 rgba(0, 0, 0, 0.19);
  transition: all 0.3s linear;
}

/*****Category*******/

.card.category-card {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin: auto;
  width: 88%;
  /* max-height: 45rem; */
  height: 100%;
  height: 1;
}

.card.category-card:hover {
  box-shadow: 0 6.25rem 5rem 0 rgb(0 0 0 / 2%),
    0 4.05063rem 2.92813rem 0 rgb(0 0 0 / 2%),
    0 2.4075rem 1.5925rem 0 rgb(0 0 0 / 1%),
    0 1.25rem 0.8125rem 0 rgb(0 0 0 / 1%),
    0 0.50938rem 0.4075rem 0 rgb(0 0 0 / 1%),
    0 0.11563rem 0.19687rem 0 rgb(0 0 0 / 0%);
}

.card.category-card:before {
  content: "";
  position: absolute;
  left: 0.625rem;
  bottom: 0.625rem;
  width: 6.25rem;
  height: 6.25rem;
  background-color: var(--secondry);
  border-radius: 1.875rem 0 0.625rem 0;
  z-index: -1;
  transition: all 0.2s ease-in-out;
  opacity: 0;
}

@media (max-width: 767.98px) {
  .card.category-card:before {
    width: 3.75rem;
    height: 3.75rem;
    border-radius: 1.25rem 0 0.5rem 0;
  }
  .category-section .col-lg-3 {
    padding-block: 2rem;
  }
}

.card.category-card:hover:before {
  left: -1.875rem;
  bottom: -2.1875rem;
  opacity: 1;
}

.card category-card > p {
  margin-block-end: 1rem;
}

/***fashion***/

/***steps***/
.steps-section {
  padding-block-start: 7.5rem;
}

.steps-section .step-item {
  display: flex;
  align-items: start;
  margin: 16px;
}

.show-onhover:hover .hideEl {
  visibility: visible;
  opacity: 1;
}

.step-item-icon {
  border-radius: 13px;
  padding: 1rem;
  margin-inline-end: 1rem;
}

.step-item-icon > span {
  color: var(--backgroundColor);
}

.step-item-text h5 {
  font-weight: bold;
  color: var(--lightHeaderFontColor);
}

.step-item-text p {
  color: var(--lightFontColor);
}

.steps .step-item:nth-of-type(1n) .step-item-icon {
  background-color: var(--buttonHoverColor);
}

.steps .step-item:nth-of-type(2n) .step-item-icon {
  background-color: var(--buttonColor);
}

.steps .step-item:nth-of-type(3n) .step-item-icon {
  background-color: var(--secondry);
}

.card-section {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: start;
}

.card-section .steps-card-bg {
  position: absolute;
  z-index: -2;
  margin-inline-start: 0;
  margin-inline-end: 10px;
  display: flex;
  /* right: 48%; */
  bottom: 35%;
  justify-content: flex-end;
  align-items: flex-start;
}

.card-section .steps-card-bg img {
  max-width: 80%;
}

.steps-card {
  position: relative;
  padding: 1rem;
  border-radius: 1.5rem;
  overflow: hidden;
}

@media screen and (min-width: 576px) {
  .steps-card {
    max-width: 95%;
  }
}

@media screen and (min-width: 768px) {
  .steps-card {
    max-width: 98%;
  }
}

@media screen and (min-width: 992px) {
  .steps-card {
    max-width: 60%;
  }
}

.category-body > img {
  border-radius: 1.5rem;
  /* margin-top: 0.5rem; */
  /* margin-bottom: 41.8rem; */
  /* width: 95%; */
  width: 5rem;
  position: absolute;
  top: -2rem;
  right: 0;
  left: 0;
  margin-inline: auto;
}

.category-body > .cat-title {
  margin-block-start: 4rem;
}

.steps-card .card-body > img {
  border-radius: 1.5rem;
  margin-bottom: 1.8rem;
  margin-inline: auto;

  width: 95%;
}

.card-body .card-body-info p,
.card-body .card-body-info span {
  margin-bottom: 1rem;
  font-size: 1rem;
}

.card-body-info .icon-group {
  display: flex;
  width: 50%;
  margin-block-end: 1rem;
  justify-content: space-evenly;
}

.card-body-info .icon-group .icon-item {
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--darkFontColor);
  background-color: var(--backgroundColor);
  transition: all 0.2s ease-in-out;
  height: 2.5rem;
  width: 2.5rem;
  font-size: 1rem;
}

.card-body-info .icon-group .icon-item:hover,
.card-body-info .icon-group .icon-item:focus {
  color: var(--backgroundColor);
  background-color: var(--secondry);
}

.favorite-section {
  display: flex;
  align-self: center;
  justify-content: space-between;
}

.favorite-section .favorite-item {
  width: 50%;
  display: flex;
  align-items: center;
  margin-top: -0.25rem;
  justify-content: space-around;
}

.favorite-section .favorite-hover {
  position: relative;
}

.favorite-section .favorite-hover .card {
  visibility: hidden;
  opacity: 0;
  width: 260px;
  border-radius: 18px;
  position: absolute;
  bottom: 100%;
  right: -60%;
}

.favorite-section .favorite-hover:hover .card {
  visibility: visible;
  opacity: 1;
}

.favorite-section .favorite-hover .card {
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.15s linear;
}

.favorite-hover .progress-bar {
  width: 40%;
  background: var(--buttonHoverColor);
}
/***********scrollbar*************/
/* width */
body::-webkit-scrollbar {
  width: 0.75rem;
}

/* Track */
body::-webkit-scrollbar-track {
  box-shadow: inset 0 0 2.5px var(--shadowColor);
}

/* Handle */
body::-webkit-scrollbar-thumb {
  background-image: linear-gradient(
    180deg,
    var(--secondry),
    var(--buttonHoverColor)
  );
  border-radius: 10px;
}

/* Handle on hover */
body::-webkit-scrollbar-thumb:hover {
  background-image: linear-gradient(
    180deg,
    var(--buttonHoverColor),
    var(--buttonHoverColor)
  );
}

::-webkit-scrollbar-button:single-button {
  display: block;
  border-style: solid;
  height: 13px;
  width: 16px;
}

/* Up */
::-webkit-scrollbar-button:single-button:vertical:decrement {
  border-width: 0 8px 8px 8px;
  border-color: transparent transparent var(--buttonHoverColor) transparent;
}

/* Down */
::-webkit-scrollbar-button:single-button:vertical:increment {
  border-width: 8px 8px 0 8px;
  border-color: var(--buttonHoverColor) transparent transparent transparent;
}

/***Curser***/
.cursor-section {
  position: relative;
  overflow: hidden;
  background-color: #212121;
z-index: 1;
}

.cursor-section .container{
  position: relative;
  padding-block: 5rem;
}


.cursor-section .container .content {
  text-align: center;
}
 .visble-text{
  color: white;
  text-align: center;
}

.content--text {
  color: #212121;
  -webkit-user-select: all;
  -ms-user-select: all;
  user-select: none;
}

.cursor {
  height: 10rem;
  width: 10rem;
  background-color: rgba(165, 165, 165, 50%);
  position: absolute;
  border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%;
  z-index: -1;
}
